> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse Questionnaire Questions

> A `GET` to the `/questionnaires/{questionnaireId}/questions` endpoint allows your application to retrieve all questions assigned to a questionnaire.



## OpenAPI

````yaml get /v3/questionnaires/{questionnaire}/questions
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/questionnaires/{questionnaire}/questions:
    get:
      tags:
        - Questionnaire Question
      summary: Browse Questionnaire Questions
      description: >-
        A `GET` to the `/questionnaires/{questionnaireId}/questions` endpoint
        allows your application to retrieve all questions assigned to a
        questionnaire.
      operationId: questionnaires.questions.index
      parameters:
        - name: questionnaire
          in: path
          required: true
          description: The questionnaire ID
          schema:
            type: integer
      responses:
        '200':
          description: Array of `QuestionnaireQuestion`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/QuestionnaireQuestion'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    QuestionnaireQuestion:
      type: object
      properties:
        id:
          type: integer
        questionnaire_question_id:
          type: integer
        questionnaire_id:
          type: string
        questionnaire_page_id:
          type:
            - integer
            - 'null'
        question_id:
          type: integer
        question_version_id:
          type: integer
        mapping_key:
          type: string
        sort_order:
          type: integer
        is_required:
          type: boolean
        visibility_condition:
          type:
            - array
            - 'null'
          items: {}
        visibility_dependencies:
          type: array
          items: {}
        is_active:
          type: boolean
        question:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            handle:
              type: string
            name:
              type: string
            link_type:
              type: string
            link_target:
              type: string
            link_write_policy:
              type: string
          required:
            - id
            - handle
            - name
            - link_type
            - link_target
            - link_write_policy
        version:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            version:
              type: string
            label:
              type: string
            description:
              type: string
            help_text:
              type: string
            icon:
              type: string
            image_url:
              type: string
            type:
              type: string
            options:
              type: string
            validation:
              type: string
            default_value:
              type: string
          required:
            - id
            - version
            - label
            - description
            - help_text
            - icon
            - image_url
            - type
            - options
            - validation
            - default_value
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - questionnaire_question_id
        - questionnaire_id
        - questionnaire_page_id
        - question_id
        - question_version_id
        - mapping_key
        - sort_order
        - is_required
        - visibility_condition
        - visibility_dependencies
        - is_active
        - question
        - version
        - created_at
        - updated_at
      title: QuestionnaireQuestion
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````